%define name sidplay-libs
%define spmajor 2
%define libname    %mklibname sidplay %{spmajor}
%define sumajor 0
%define libnamesu %mklibname sidutils %{sumajor}
%define version 2.1.1
%define release %mkrel 6
%define builders %{_libdir}/sidplay/builders


Summary:        A Commodore 64 music player and SID chip emulator library
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         http://prdownloads.sourceforge.net/sidplay2/%{name}-%version.tar.bz2
Patch:		sidplay-libs-2.1.1-gcc4.1.patch
License:        GPL
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	automake1.8
BuildRequires:  chrpath

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %libname-devel
Summary:        Development headers and libraries for %{libname}
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       libsidplay-devel = %{version}-%release
Provides:	sidplay2-devel = %version-%release
Requires:	pkgconfig

%description -n %libname-devel
This package includes the header and library files necessary
for developing applications to use %{libname}.

%package -n %libnamesu
Summary:        General utility library for use in sidplayers
Requires:	%libname = %version
Group:          System/Libraries
%description -n %libnamesu
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %libnamesu-devel
Summary:        Development headers and libraries for libsidutils
Group:          Development/C++
Requires:       %libnamesu = %{version}
Requires:	%libname-devel = %version
Provides:       libsidutils-devel = %{version}-%release

%description -n %libnamesu-devel
This package includes the header and library files necessary
for developing applications to use %libnamesu.

%package -n %libnamesu-static-devel
Summary:        Static library for %libnamesu
Group:          Development/C++
Requires:       %libnamesu-devel = %{version}

%description -n %libnamesu-static-devel
This package includes the static library file necessary
for developing applications to use %libnamesu.


%prep
%setup -q 
%patch -p1 -b .gcc
aclocal-1.8 -I unix
automake-1.8
autoconf
cd resid
aclocal-1.8
libtoolize --copy --force
automake-1.8
autoconf
cd ..

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT 
#hack to prevent relinking
sed s/relink_command.*// < libsidutils/src/libsidutils.la > tmp.la
mv tmp.la libsidutils/src/libsidutils.la
%makeinstall_std
chrpath -d %buildroot%_libdir/libsidutils.so

rm -f %buildroot%builders/libsid*
rm -rf %buildroot%builders/pkgconfig

%if %mdkversion >= 1020
%multiarch_includes %buildroot%_includedir/sidplay/sidconfig.h
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %libnamesu -p /sbin/ldconfig
%postun -n %libnamesu -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc libsidplay/AUTHORS libsidplay/ChangeLog libsidplay/README libsidplay/TODO
%{_libdir}/libsidplay*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%dir %{_libdir}/sidplay/
%dir %{_libdir}/sidplay/builders
%dir %{_includedir}/sidplay/builders/
%{_includedir}/sidplay/*.h
%{_includedir}/sidplay/builders/*.h
%if %mdkversion >= 1020
%multiarch %multiarch_includedir/sidplay/
%endif
%{_libdir}/libsidplay*.so
%{_libdir}/libsidplay*.a
%{_libdir}/libsidplay*.la
%{_libdir}/pkgconfig/libsidplay*.pc
%{builders}/*.la
%{builders}/*.a

%files -n %libnamesu
%defattr(-,root,root)
%doc libsidutils/AUTHORS libsidutils/ChangeLog libsidutils/README libsidutils/TODO
%{_libdir}/libsidutils*.so.*

%files -n %libnamesu-devel
%defattr(-,root,root)
%dir %{_includedir}/sidplay/utils/
%{_includedir}/sidplay/utils/*
%{_libdir}/libsidutils*.la
%{_libdir}/libsidutils*.so
%_libdir/pkgconfig/libsidutils*pc

%files -n %libnamesu-static-devel
%defattr(-,root,root)
%{_libdir}/libsidutils*.a


%changelog
* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-6mdv2008.0
+ Revision: 48919
- bump release
- Import sidplay-libs




* Wed Jul  5 2006 Gtz Waschk <waschk@mandriva.org> 2.1.1-5mdv2007.0
- update the patch

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-4mdk
- Rebuild
- use mkrel

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.1.1-3mdk
- fix build on x86_64

* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-2mdk
- multiarch support
- build fix

* Fri Jul 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-8mdk
- add source URL
- patch for new g++

* Tue Oct  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-7mdk
- small hack to fix build
- fix devel provides
- drop prefix

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-6mdk
- rebuild for new rpm

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-5mdk
- add libsidplay2-devel to the buildrequires

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-4mdk
- fix distriblint warnings

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-3mdk
- fix buildrequires and requires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-2mdk
- mklibname macro

* Mon Dec 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- merge libsidplay2 and libsidutils packages
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021220.1mdk
- fix build with automake1.6
- fix requires and provides of the devel package
- new cvs snapshot 

* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021114.1mdk
- add resid headers
- new snapshot

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021007.1mdk
- new snapshot

* Tue Sep  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020903.1mdk
- new snapshot

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 2.1.0-0.20020729.2mdk
- Rebuild with gcc3.2

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020729.1mdk
- update from CVS

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020526.1mdk
- merge with official spec file
- update to CVS version

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-6mdk
- gcc 3.1

* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-5mdk
- fix rpmlint error shlib-with-non-pic-code
- updated source tar ball to 2.0.7-5

* Mon May 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-4mdk
- rebuild

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-3mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- merged with 2.0.7-4 from the home page (updated source tar ball)

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-2mdk
- adapted for Mandrake

* Sun Apr 1 2001 Simon White <s_a_white@email.com> 2.0.7-1mdk
- First spec file.

# end of file
